CVE-2014-8118

HIGH

Description

Integer overflow in RPM 4.12 and earlier allows remote attackers to execute arbitrary code via a crafted CPIO header in the payload section of an RPM file, which triggers a stack-based buffer overflow.

References

http://advisories.mageia.org/MGASA-2014-0529.html

http://rhn.redhat.com/errata/RHSA-2014-1976.html

http://www.debian.org/security/2015/dsa-3129

http://www.mandriva.com/security/advisories?name=MDVSA-2014:251

http://www.mandriva.com/security/advisories?name=MDVSA-2015:056

https://security.gentoo.org/glsa/201811-22

Details

Source: MITRE

Published: 2014-12-16

Updated: 2018-11-29

Type: CWE-189

Risk Information

CVSS v2.0

Base Score: 10

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 10

Severity: HIGH